package com.qmth.jkserver.dto;

import java.io.Serializable;
import java.util.Date;

import com.qmth.jkserver.enums.ProgressType;
import com.qmth.jkserver.model.Attachment;

/**
 * 结果汇总进度
 * @author tianjun
 *
 */
public class ExamKjProgressDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2606311318557282058L;
	
	private String examCode;
	
	private String placeCode;
	
	private String placeName;
	
	private String roomCode;
	
	private String roomName;
	
	private ProgressType type;
	
	private Long time;
	
	private Integer total;//总人数
	
	private Integer answeredCount;//已经上传考试结果人数，包好实考、缺考等
	private String answeredPercent;//比例
	
	private Integer uploadedCount;//已经上传考试答案的人数，有答案的人数
	private String uploadedPercent;//比例
	
	private Long attachmentId;

    private Attachment attachment;

    public Attachment getAttachment() {
        return attachment;
    }

    public void setAttachment(Attachment attachment) {
        this.attachment = attachment;
    }

    /**
	 * @return the uploadedPercent
	 */
	public String getUploadedPercent() {
		return uploadedPercent;
	}

	/**
	 * @param uploadedPercent the uploadedPercent to set
	 */
	public void setUploadedPercent(String uploadedPercent) {
		this.uploadedPercent = uploadedPercent;
	}

	/**
	 * @return the answeredPercent
	 */
	public String getAnsweredPercent() {
		return answeredPercent;
	}

	/**
	 * @param answeredPercent the answeredPercent to set
	 */
	public void setAnsweredPercent(String answeredPercent) {
		this.answeredPercent = answeredPercent;
	}

	/**
	 * @return the answeredCount
	 */
	public Integer getAnsweredCount() {
		return answeredCount;
	}

	/**
	 * @param answeredCount the answeredCount to set
	 */
	public void setAnsweredCount(Integer answeredCount) {
		this.answeredCount = answeredCount;
	}

	

	/**
	 * @return the type
	 */
	public ProgressType getType() {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(ProgressType type) {
		this.type = type;
	}

	/**
	 * @return the examCode
	 */
	public String getExamCode() {
		return examCode;
	}

	/**
	 * @param examCode the examCode to set
	 */
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	/**
	 * @return the placeCode
	 */
	public String getPlaceCode() {
		return placeCode;
	}

	/**
	 * @param placeCode the placeCode to set
	 */
	public void setPlaceCode(String placeCode) {
		this.placeCode = placeCode;
	}

	/**
	 * @return the placeName
	 */
	public String getPlaceName() {
		return placeName;
	}

	/**
	 * @param placeName the placeName to set
	 */
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

	/**
	 * @return the roomCode
	 */
	public String getRoomCode() {
		return roomCode;
	}

	/**
	 * @param roomCode the roomCode to set
	 */
	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	/**
	 * @return the roomName
	 */
	public String getRoomName() {
		return roomName;
	}

	/**
	 * @param roomName the roomName to set
	 */
	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    /**
	 * @return the total
	 */
	public Integer getTotal() {
		return total;
	}

	/**
	 * @param total the total to set
	 */
	public void setTotal(Integer total) {
		this.total = total;
	}
	

	/**
	 * @return the uploadedCount
	 */
	public Integer getUploadedCount() {
		return uploadedCount;
	}

	/**
	 * @param uploadedCount the uploadedCount to set
	 */
	public void setUploadedCount(Integer uploadedCount) {
		this.uploadedCount = uploadedCount;
	}

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }
}
